Package org.bukkit.event.block

# Class NotePlayEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.NotePlayEvent

All Implemented Interfaces:
  `Cancellable`

public class NotePlayEvent extends BlockEvent implements Cancellable
Called when a note block is being played through player interaction or a redstone current.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`NotePlayEvent(@NotNull Block block, @NotNull Instrument instrument, @NotNull Note note)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Instrument`
`getInstrument()`
Gets the `Instrument` to be used.
`@NotNull Note`
`getNote()`
Gets the `Note` to be played.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setInstrument(@NotNull Instrument instrument)`
Deprecated.
no effect on newer Minecraft versions
`void`
`setNote(@NotNull Note note)`
Deprecated.
no effect on newer Minecraft versions

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotePlayEvent

public NotePlayEvent(@NotNull @NotNull Block block, @NotNull @NotNull Instrument instrument, @NotNull @NotNull Note note)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getInstrument

@NotNull public @NotNull Instrument getInstrument()
Gets the `Instrument` to be used.

Returns:
  the Instrument

### getNote

@NotNull public @NotNull Note getNote()
Gets the `Note` to be played.

Returns:
  the Note

### setInstrument

@Deprecated public void setInstrument(@NotNull @NotNull Instrument instrument)
Deprecated.
no effect on newer Minecraft versions
Overrides the `Instrument` to be used.

Parameters:
  `instrument` - the Instrument. Has no effect if null.

### setNote

@Deprecated public void setNote(@NotNull @NotNull Note note)
Deprecated.
no effect on newer Minecraft versions
Overrides the `Note` to be played.

Parameters:
  `note` - the Note. Has no effect if null.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()